%global zikula_base         %{_datadir}/zikula
%global zikula_moddir       %{zikula_base}/modules
%global zikula_modname      fedora-fasauth

Name:           zikula-module-%{zikula_modname}
Version:        0.2
Release:        1%{?dist}
Summary:        FAS Auth for Zikula 

Group:          Applications/Publishing
License:        GPL+
# Use top-level URL from Zikula site for the module
URL:            https://fedorahosted.org/fedora-zikula
# for source: 
# git clone git://git.fedorahosted.org/git/fedora-zikula.git 
# cd fedora-zikula
# git checkout %{version}
# tar -jcvf zikula-module-fedora-fasauth.bz2 AuthFAS
Source0:        %{name}.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
#BuildRequires:  
Requires:       zikula

%description
Provides mechanism for Zikula to authenticate FAS users


%prep
%setup -qn AuthFAS
# Remove empty index.html and others
find -size 0 | xargs rm -f


%build


%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname} 
cp -pr . $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname}
rm -rf $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname}/pndocs


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)

%{zikula_moddir}/%{zikula_modname}


%changelog
* Thu Aug 27 2009 David Nalley <david@gnsa.us> 0.2-1
- Packaging up simons newest fasauth changes
* Thu Jul 16 2009 David Nalley <david@gnsa.us> 0.1-1
- Initial packaging
